// ===========================================================================
// GSImage.h 
// ===========================================================================


#ifndef _GSImage_h
#define _GSImage_h


// ===========================================================================
//	Includes
// ===========================================================================

#include "RAVE.h"

#if (kQAPlatform == kQAMacOS)
	#include <QuickDraw.h>
#endif

#include "GSError.h"

#include "GSPicture.h"
#include "GSColorTable.h"


#ifdef __cplusplus
extern "C" {
#endif


// ===========================================================================
//	Types
// ===========================================================================

typedef struct TGSImage 	TGSImage;


// ===========================================================================
//	Prototypes
// ===========================================================================

	TGSError
GSImage_New(
	TGSImage**				inImage);
	
	TGSError
GSImage_NewFromPicture(
	TGSImage**				inImage,
	TGSPicture* 			inPicture,
	TQAImagePixelType 		inPixelType,
	Boolean					inMakeBlackTransparent,
	Boolean					inMakeMipMap);
	
	void
GSImage_Delete(
	TGSImage*				inImage);
	
	TQAImage*
GSImage_GetImages(
	TGSImage* 				inImage);

	long
GSImage_GetWidth(
	TGSImage* 				inImage);
	
	long
GSImage_GetHeight(
	TGSImage* 				inImage);
	
	long
GSImage_GetRowBytes(
	TGSImage* 				inImage);
	
	TQAImagePixelType
GSImage_GetPixelType(
	TGSImage* 				inImage);
	
	TGSColorTable*
GSImage_GetColorTable(
	TGSImage* 				inImage);
	
	Boolean
GSImage_IsValidTexture(
	TGSImage* 				inImage);
	
	Boolean
GSImage_IsValidBitmap(
	TGSImage* 				inImage);
	
	Boolean
GSImage_IsValidMipMap(
	TGSImage* 				inImage);


	
#endif // _GSImage_h
