// ===========================================================================
// 	GSTestInfo.h 
// ===========================================================================


#ifndef _GSTestInfo_h
#define _GSTestInfo_h


// ===========================================================================
//	Includes
// ===========================================================================

#include "RAVE.h"

#include "GSImage.h"


#ifdef __cplusplus
extern "C" {
#endif


// ===========================================================================
//	Types
// ===========================================================================

typedef struct TGSTestInfo {	
	TQADrawContext*		mContext;
	TQARect				mContextRect;
	unsigned long		mContextFlags;
	TQAEngine*			mEngine;
	TQADevice			mDevice;
	TQAImagePixelType	mTextureFormat;
	unsigned long		mTextureFilter;
	unsigned long		mTextureOp;
	unsigned long		mTextureFlags;
	Boolean				mTextureDetach;
	Boolean				mTextureMakeMipMap;
	Boolean				mTextureMakeBlackTransparent;
	TQAColorTableType	mTextureColorTableType;
	Boolean				mTextureUseTransparentIndex;
	TQAImagePixelType	mBitmapFormat;
	unsigned long		mBitmapFlags;
	Boolean				mBitmapDetach;
	Boolean				mBitmapMakeBlackTransparent;
	TQAColorTableType	mBitmapColorTableType;
	Boolean				mBitmapUseTransparentIndex;
} TGSTestInfo;


#ifdef __cplusplus
}
#endif



#endif // _GSTestInfo_h
